﻿package {
	import flash.display.*;
	import flash.events.*;
	import flash.geom.ColorTransform;

	public class ColorfulCircle extends MovieClip {

		var speed:Number;

		public function ColorfulCircle() {
			speed=.01+.02*Math.random();
			this.alpha = .5;
			SetRandomColor();
			this.addEventListener(Event.ENTER_FRAME, FadeCircleOut);
		}

		private function FadeCircleOut(e:Event) {
			this.alpha-=.5*speed;
			this.scaleX+=5*speed;
			this.scaleY+=5*speed;

			if (this.alpha<0) {
				this.removeEventListener(Event.ENTER_FRAME, FadeCircleOut);
				parent.removeChild(this);
			}
		}

		private function SetRandomColor() {
			var colorArray:Array = new Array(0xFFFF33, 0xFFFFFF, 0x79DCF4, 0xFF3333, 0xFFCC33, 0x99CC33); 
			var randomColorID:Number = Math.floor(Math.random()*colorArray.length); 
			  
			var myColor:ColorTransform = this.transform.colorTransform; 
			myColor.color=colorArray[randomColorID]; 
			  
			this.transform.colorTransform = myColor; 
		}
	}
}